claw::log_level Class Reference

Set the level of the next message for logger_system::operator<<(). More...

`#include <log_level.hpp>`

## Public Member Functions

| log_level (int lvl)
| Constructor.
| log_level (int lvl, const std::string &s)
| Constructor.
int | get () const
| Get the level value.
std::string | get_string () const
| Get the prefix.

## Detailed Description

Set the level of the next message for logger_system::operator<<().

Remarks
  Levels from 0 to 15 are reserved to claw.

Definition at line 57 of file log_level.hpp.

## Constructor & Destructor Documentation

## log_level() [1/2]

claw::log_level::log_level | ( | int | lvl | ) |

Constructor.

Parameters

  lvl | The value of this level.

Definition at line 46 of file log_level.cpp.

## log_level() [2/2]

claw::log_level::log_level | ( | int | lvl,
|  | const std::string & | s )

Constructor.

Parameters

  lvl | The value of this level.
  s | The messages prefix.

Definition at line 58 of file log_level.cpp.

## Member Function Documentation

## get()

int claw::log_level::get | ( |  | ) | const

Get the level value.

Definition at line 68 of file log_level.cpp.

Referenced by claw::log_system::operator<<(), and claw::log_system::set_level().

## get_string()

std::string claw::log_level::get_string | ( |  | ) | const

Get the prefix.

Definition at line 77 of file log_level.cpp.

References claw_gettext.

Referenced by claw::log_system::operator<<().

The documentation for this class was generated from the following files:

- log_level.hpp
- code/log_level.cpp